Subject: bug#33870: 27.0.50; xref-goto-xref not configurable

From: Dmitry Gutov <[email-masked]>
Date: Fri, 4 Jan 2019 01:48:03 +0300

On 03.01.2019 17:24, João Távora wrote:
> * But by using less space it is also less useful.  You don't get to see,
>    at a glance, a great deal of xrefs.  And xrefs are different from
>    completions, they're closer to grep hits.  You wouldn't put*grep*
>    hits in such a potentially tiny window, would you?

This would be my main objection as well.

> Then again, perhaps you would, and the whole point of this patch is to
> make the UI configurable.  If so, I'd make the original UI the default,
> or at least very very easy to bring back.

Making it configurable on a high level is something I might agree with 
(and indeed, the find-definitions command probably should behave 
differently from the rest), but the way it's done should be transparent 
and not strongly coupled to a particular commands.

Maybe via two different xrefs-show-function values. I'm not sure.